diff --git a/minizip.c b/minizip.c
index a7ffb312..c7c2ff04 100644
--- a/minizip.c
+++ b/minizip.c
@@ -119,7 +119,7 @@ int32_t minizip_add_path(void *handle, const char *path, const char *filenameinz
     printf("Adding: %s\n", file_info.filename);
 
     // Add to zip
-    err = mz_zip_entry_write_open(handle, &file_info, options->compress_level, password);
+    err = mz_zip_entry_write_open(handle, &file_info, options->compress_level, 0, password);
     if (err != MZ_OK)
     {
         printf("Error in opening %s in zip file (%d)\n", filenameinzip, err);
@@ -301,7 +301,7 @@ int32_t minizip_list(void *handle)
 
         switch (file_info->compression_method)
         {
-        case MZ_COMPRESS_METHOD_RAW:
+        case MZ_COMPRESS_METHOD_STORE:
             string_method = "Stored";
             break;
         case MZ_COMPRESS_METHOD_DEFLATE:
@@ -563,7 +563,7 @@ int32_t minizip_copy_current_entry(void *src_handle, void *target_handle)
     if (err != MZ_OK)
         return err;
 
-    err = mz_zip_entry_write_open(target_handle, file_info, 0, NULL);
+    err = mz_zip_entry_write_open(target_handle, file_info, 0, 1, NULL);
     if (err == MZ_OK)
     {
         while (1)
@@ -710,7 +710,7 @@ int main(int argc, const char *argv[])
             {
                 options.compress_level = (c - '0');
                 if (options.compress_level == 0)
-                    options.compress_method = MZ_COMPRESS_METHOD_RAW;
+                    options.compress_method = MZ_COMPRESS_METHOD_STORE;
             }
 
 #ifdef HAVE_BZIP2
diff --git a/mz_compat.c b/mz_compat.c
index bf8fa614..7ab83051 100644
--- a/mz_compat.c
+++ b/mz_compat.c
@@ -185,7 +185,7 @@ extern int ZEXPORT zipOpenNewFileInZip5(zipFile file, const char *filename, cons
         file_info.aes_version = MZ_AES_VERSION;
 #endif
 
-    return mz_zip_entry_write_open(compat->handle, &file_info, (uint8_t)raw, (int16_t)level, password);
+    return mz_zip_entry_write_open(compat->handle, &file_info, (int16_t)level, (uint8_t)raw, password);
 }
 
 extern int ZEXPORT zipOpenNewFileInZip4_64(zipFile file, const char *filename, const zip_fileinfo *zipfi,
diff --git a/mz_zip.c b/mz_zip.c
index 3c3b54a5..e0a1d510 100644
--- a/mz_zip.c
+++ b/mz_zip.c
@@ -1370,7 +1370,7 @@ extern int32_t mz_zip_entry_read_open(void *handle, uint8_t raw, const char *pas
     return err;
 }
 
-extern int32_t mz_zip_entry_write_open(void *handle, const mz_zip_file *file_info, uint8_t raw, int16_t compress_level, const char *password)
+extern int32_t mz_zip_entry_write_open(void *handle, const mz_zip_file *file_info, int16_t compress_level, uint8_t raw, const char *password)
 {
     mz_zip *zip = (mz_zip *)handle;
     int64_t disk_number = 0;
diff --git a/mz_zip.h b/mz_zip.h
index 18b08677..37cfb2ab 100644
--- a/mz_zip.h
+++ b/mz_zip.h
@@ -80,7 +80,7 @@ extern int32_t mz_zip_set_version_madeby(void *handle, uint16_t version_madeby);
 // Set the version made by used for writing zip file
 
 extern int32_t mz_zip_entry_write_open(void *handle, const mz_zip_file *file_info,
-    uint8_t raw, int16_t compress_level, const char *password);
+    int16_t compress_level, uint8_t raw, const char *password);
 // Open for writing the current file in the zip file
 
 extern int32_t mz_zip_entry_write(void *handle, const void *buf, uint32_t len);
